<script>
    import CHED from "../img/01.png"
	import ASEAN from "../img/02.png"
	import ISO from "../img/03.png"
	import PAPAL from "../img/04.png"
	import PQA from "../img/05.png"
	import { Tooltip} from 'flowbite-svelte';
	let type = 'dark';
</script>

<div class="grid-container">
    <div>
        <p class="campus mt-2">ALL CEU CAMPUSES</p>
        <img  src={CHED}  id="a type-light" alt="CHED" class="img-awards"/>
        <Tooltip class=" text-xs font-bold text-center w-80 p-5" {type} triggeredBy="[id^='a']" on:show={(ev) => (type = ev.target.id.split('-')[1])}>Granted by the Commission on Higher Education (CHED) to the University for its academic and research
            excellence, community involvement, and outstanding performance in board examinations.</Tooltip>
    </div>
    <div> 
        <p class="campus mt-2">ALL CEU CAMPUSES</p>
        <img src={ASEAN}  id="b type-light"  alt="ASEAN" class="img-awards"/>
        <Tooltip class=" text-xs font-bold text-center w-80 p-5" {type} triggeredBy="[id^='b']" on:show={(ev) => (type = ev.target.id.split('-')[1])}>This prestigious certification focuses on CEU’s strong dedication and commitment to academic
            excellence and quality education with emphasis on social, cultural, and civic progress.</Tooltip>
    </div>
    <div>
        <p class="campus mt-2">ALL CEU CAMPUSES</p>
        <img src={ISO} id="c type-light"    alt="ISO" class="img-awards"/>
        <Tooltip class=" text-xs font-bold text-center w-80 p-5" {type} triggeredBy="[id^='c']" on:show={(ev) => (type = ev.target.id.split('-')[1])}>Awarded by the Societe General de Surveillance (SGS) for the University’s compliance with international
            standards for both its academic and administrative processes.</Tooltip>
    </div>

    <div>
        <p class="campus mt-2">ALL CEU CAMPUSES</p>
        <img src={PAPAL} id="d type-light"   alt="PAPAL" class="img-awards"/>
        <Tooltip class=" text-xs font-bold text-center w-80 p-5" {type} triggeredBy="[id^='d']" on:show={(ev) => (type = ev.target.id.split('-')[1])}>Awarded by the Roman Catholic Church for the University’s outstanding contributions and service for
            the Pope and for the Church.</Tooltip>
    </div>
    <div>
        <p class="campus">CEU MANILA & CEU MALOLOS<br>CAMPUSES ONLY</p>
        <img src={PQA} id="e type-light"   alt="PQA" class="img-awards"/>
        <Tooltip class=" text-xs font-bold text-center w-80 p-5" {type} triggeredBy="[id^='e']" on:show={(ev) => (type = ev.target.id.split('-')[1])}>CEU is the first non-sectarian University to receive the highest level of national recognition for
            exemplary organizational performance given by the Department of Trade and Industry (DTI).</Tooltip> 
    </div>

</div>

<style>

.grid-container {
  display: grid;
  grid-template-columns: auto auto auto auto auto;
  background-color: none;
  padding: 5px;
  width: 74%;
  margin-left: auto;
  margin-right: auto;
}

.grid-container > div {
  background-color: none;
  text-align: center;
  padding: 0;
  width: auto;
  margin-left: auto;
  margin-right: auto;
  font-size: large;
}

.img-awards{
	cursor: pointer;
	width: 300px;
	margin-left: auto;
	margin-right: auto;
	padding-left: 10px;
}

.campus{
    font-size: 0.50rem;
    color:white;
    line-height: 1.2;
    font-weight: bold;
    
}


@media screen and (min-width: 300px) {
    .grid-container {
		display: block;
		grid-template-columns: auto auto auto auto auto;
		background-color: none;
		padding: 10px;
		width: 74%;
		margin-left: auto;
		margin-right: auto;
	}
	.grid-container > div {
		background-color: none;
		text-align: center;
		padding: 0;
		width: auto;
		margin-left: auto;
		margin-right: auto;
		margin-top:10px;
	}

	.img-awards{
		cursor: pointer;
		width: 280px;
		margin-left: auto;
		margin-right: auto;
		padding-left: 10px;
	}
}

@media screen and (min-width: 800px) {

    .img-awards{
		cursor: pointer;
		width: 240px;
		margin-left: auto;
		margin-right: auto;
		padding-left: 10px;
	}

    .grid-container {
		align-content: center;
		display: grid;
		grid-template-columns: auto auto auto auto auto;
		background-color: none;
		width: 74%;
		margin-left: auto;
		margin-right: auto;
	}
	@keyframes fadeInAnimation {
            0% {
                opacity: 0;
            }
            100% {
                opacity: 1;
            }
        }

	.grid-container > div {
		background-color: none;
		text-align: center;
		padding: 0;
		width: auto;
		margin-left: auto;
		margin-right: auto;
		animation: fadeInAnimation ease 5s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards;
	}
    
    .campus{
        font-size: 0.50rem;
        color:white;
        line-height: 1;
        font-weight: bold;
    }
}
@media screen and (min-width: 940px){
   /* .campus{
        margin-top: 32px;
   } */
}



</style>